
Redmine - Patch #32530

Update RuboCop to 1.12

2019-11-29 08:31 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.2.0   

Description

The attached patch updates RuboCop to 0.77.

Related issues:

Related to Redmine - Feature #34142: Drop Ruby 2.3 support Closed

Blocked by Redmine - Patch #34150: Use match? instead of =~ when MatchData is... Closed

Associated revisions

Revision 19320 - 2019-11-29 08:36 - Go MAEDA

Update RuboCop to 0.77 (#32530).

Revision 19405 - 2019-12-26 07:33 - Go MAEDA

Update RuboCop to 0.78 (#32530).

Revision 19411 - 2020-01-07 14:49 - Go MAEDA

Update RuboCop to 0.79 (#32530).

Revision 19522 - 2020-02-19 14:45 - Go MAEDA

Update RuboCop to 0.80 (#32530).

Revision 19645 - 2020-04-05 07:45 - Go MAEDA

Update RuboCop to 0.81 (#32530).

Revision 20152 - 2020-10-20 16:44 - Go MAEDA

Fix a RuboCop offence Style/MethodDefParentheses (#32530).

Revision 20153 - 2020-10-20 17:22 - Go MAEDA

Fix RuboCop offense Style/For (#32530).

Revision 20170 - 2020-10-23 02:30 - Go MAEDA

Update .rubocop_todo.yml (#32530).

Revision 20171 - 2020-10-23 02:47 - Go MAEDA

Update RuboCop to 1.0 (#32530).

Revision 20189 - 2020-10-24 17:17 - Toshi MARUYAMA

restore r18851 lost by r20171 (#32530)

Revision 20190 - 2020-10-24 17:17 - Toshi MARUYAMA

restore r18857 lost by r20171 (#32530)

Revision 20578 - 2020-12-06 01:21 - Go MAEDA

Update .rubocop_todo.yml (#32530).

Revision 20579 - 2020-12-06 01:31 - Go MAEDA

Update RuboCop to 1.5.2 (#32530).
Note: RubooCop 1.5.0 and 1.5.1 cannot be used for Redmine. This is because those versions of RuboCop requires regexp_parser >= 2.0 while

Capybara requires regexp_parser ~> 1.5.

Revision 20714 - 2021-01-16 07:27 - Go MAEDA

Update .rubocop_todo.yml (#32530).

Revision 20715 - 2021-01-16 07:38 - Go MAEDA

Update RuboCop to 1.8.1 (#32530).

Revision 20739 - 2021-02-07 07:01 - Go MAEDA

Update RuboCop to 1.9.1 (#32530).

Revision 20750 - 2021-02-17 14:38 - Go MAEDA

Update .rubocop_todo.yml (#32530).

Revision 20751 - 2021-02-17 14:47 - Go MAEDA

Update RuboCop to 1.10.0 (#32530).

Revision 20758 - 2021-03-02 02:57 - Go MAEDA

Update RuboCop to 1.11.0 (#32530).

Revision 20838 - 2021-03-25 01:42 - Go MAEDA

Update .rubocop_todo.yml (#32530).

Revision 20839 - 2021-03-25 02:08 - Go MAEDA

Update RuboCop to 1.12.0 (#32530).

History

#1 - 2019-11-29 08:46 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

#2 - 2019-12-26 07:33 - Go MAEDA

- Subject changed from Update RuboCop to 0.77 to Update RuboCop to 0.78

Updated to 0.78 in r19405.

#3 - 2020-01-07 14:53 - Go MAEDA

- Subject changed from Update RuboCop to 0.78 to Update RuboCop to 0.79

Updated to 0.79 in r19411.

#4 - 2020-02-19 14:45 - Go MAEDA

- Subject changed from Update RuboCop to 0.79 to Update RuboCop to 0.80

Updated to RuboCop 0.80 in r19522.

#5 - 2020-04-05 07:45 - Go MAEDA

- Subject changed from Update RuboCop to 0.80 to Update RuboCop to 0.81

Updated to RuboCop 0.81 in r19645.

#6 - 2020-04-05 08:58 - Marius BĂLTEANU

- File update_rubocop.patch added

- Status changed from Closed to Reopened

2025-05-17 2/4

https://www.redmine.org/projects/redmine/repository/svn/revisions/19405
https://www.redmine.org/projects/redmine/repository/svn/revisions/19411
https://www.redmine.org/projects/redmine/repository/svn/revisions/19522
https://www.redmine.org/projects/redmine/repository/svn/revisions/19645


After r19643, we can remove some to dos from rubocop_todo.yml. Patch attached.

#7 - 2020-04-05 09:12 - Go MAEDA

Marius BALTEANU wrote:

After r19643, we can remove some to dos from rubocop_todo.yml. Patch attached.

 I think they were removed in r19644.

#8 - 2020-04-11 12:23 - Go MAEDA

- Status changed from Reopened to Closed

#9 - 2020-10-20 11:54 - Go MAEDA

- Subject changed from Update RuboCop to 0.81 to Update RuboCop to 0.93

- Status changed from Closed to Reopened

Since Ruby 2.3 support is going to be dropped by #34142, we will be able to update to RuboCop to the latest version that supports Ruby 2.4 or later.

#10 - 2020-10-20 17:57 - Go MAEDA

- File update-rubocop.patch added

Here is a patch updates RuboCop to 0.93.

#11 - 2020-10-21 04:40 - Go MAEDA

- Related to Feature #34142: Drop Ruby 2.3 support added

#12 - 2020-10-22 04:24 - Go MAEDA

- Blocked by Patch #34150: Use match? instead of =~ when MatchData is not used added

#13 - 2020-10-23 02:25 - Go MAEDA

- Subject changed from Update RuboCop to 0.93 to Update RuboCop to 1.0

#14 - 2020-10-23 02:47 - Go MAEDA

- Status changed from Reopened to Closed

Updated RuboCop to 1.0 in r20171.

#15 - 2020-12-06 01:31 - Go MAEDA

- Subject changed from Update RuboCop to 1.0 to Update RuboCop to 1.5

Updated RuboCop to 1.5 in r20579.

#16 - 2021-01-16 07:39 - Go MAEDA

- Subject changed from Update RuboCop to 1.5 to Update RuboCop to 1.8

Updated RuboCop to 1.8 in r20715.

#17 - 2021-02-17 14:48 - Go MAEDA

- Subject changed from Update RuboCop to 1.8 to Update RuboCop to 1.10

Updated RuboCop to 1.10 in r20751.

#18 - 2021-03-02 02:57 - Go MAEDA

- Subject changed from Update RuboCop to 1.10 to Update RuboCop to 1.11

Updated RuboCop to 1.11 in r20758.
#19 - 2021-03-25 02:09 - Go MAEDA

- Subject changed from Update RuboCop to 1.11 to Update RuboCop to 1.12

Updated RuboCop to 1.12 in r20839.

Files

update-rubocop.patch 8.18 KB 2019-11-29 Go MAEDA

update_rubocop.patch 663 Bytes 2020-04-05 Marius BĂLTEANU

update-rubocop.patch 22.3 KB 2020-10-20 Go MAEDA
